-- 3.60

/* ----------------------------------------------------------
   Check&Drive DB-UpdateScript 3.60
   V1.00 - 28.01.2019
*/ ----------------------------------------------------------

INSERT INTO tableids (tablename, idcounter) VALUES( 'Locations.DB', 1000 );
INSERT INTO tableids (tablename, idcounter) VALUES( 'VHStatusHis.DB', 1000 );

INSERT INTO ORDERSTATE (ID, DESCRIPTION) VALUES (110, 'Geplant');
INSERT INTO ORDERSTATE (ID, DESCRIPTION) VALUES (200, 'Storniert');

CREATE TABLE VHStatusHis
(       
   StatHisNo INTEGER,
   FCarNo INTEGER,
   FUserNo INTEGER,
   StatCodeNeu INTEGER,
   dtChange TIMESTAMP,
   Kommentar VARCHAR (48),
   PRIMARY KEY (StatHisNo)
);

CREATE TABLE Locations
(       
   LocNo INTEGER,
   Name varchar (32),
   Country varchar(4),
   State varchar(24),
   City varchar(48),
   ZIP Varchar(10),
   Street varchar(48),
   Phone varchar(24),
   Fax varchar(24),
   Mail varchar(64),
   Description VARCHAR (128),
   PRIMARY KEY (LocNo)
); 

ALTER Table VHGroups ADD VehicleLimit INTEGER;  
ALTER Table VHGroups ADD FLocation INTEGER;
ALTER Table VHGroups ADD FBudget INTEGER;
ALTER Table VHGroups ADD FEmployRespMain INTEGER;
ALTER Table VHGroups ADD FEmployResp2 INTEGER;
ALTER Table VHGroups ADD FEmployResp3 INTEGER;
ALTER Table VHGroups ADD Description VARCHAR(128);

CREATE TABLE VHStatus
(       
   StatusNo INTEGER,
   StatCode INTEGER,
   StatName VARCHAR (48),
   StatDescription VARCHAR (128),
   PRIMARY KEY (StatusNo)
);

INSERT INTO VHSTATUS  (STATUSNO, STATCODE, STATNAME, STATDESCRIPTION)
VALUES  (100, 100, 'Bestellt', 'Fahrzeug wurde bestellt.');

INSERT INTO VHSTATUS  (STATUSNO, STATCODE, STATNAME, STATDESCRIPTION)
VALUES  (101, 110, 'In Lieferung', 'Fahrzeug befindet sich in Auslieferung nach Bestellung.');

INSERT INTO VHSTATUS  (STATUSNO, STATCODE, STATNAME, STATDESCRIPTION)
VALUES  (102, 200, 'Aktiv', 'Fahrzeug wird genutzt.');

INSERT INTO VHSTATUS  (STATUSNO, STATCODE, STATNAME, STATDESCRIPTION)
VALUES  (103, 300, 'Werkstatt', 'Fahrzeug wird repariert.');

INSERT INTO VHSTATUS  (STATUSNO, STATCODE, STATNAME, STATDESCRIPTION)
VALUES  (104, 400, 'Fahruntchtig nach Unfall', 'Fahrzeug ist nach Unfall fahruntchtig.');

INSERT INTO VHSTATUS (STATUSNO, STATCODE, STATNAME, STATDESCRIPTION)
VALUES  (105, 410, 'Fahruntchtig nach Panne', 'Fahrzeug ist nach Panne fahruntchtig.');

INSERT INTO VHSTATUS (STATUSNO, STATCODE, STATNAME, STATDESCRIPTION)
VALUES  (106, 500, 'Vorbergehend stillgelegt', 'Fahrzeug wurde vorbergehend stillgelegt.');

INSERT INTO VHSTATUS  (STATUSNO, STATCODE, STATNAME, STATDESCRIPTION)
VALUES  (107, 510, 'Endgltig stillgelegt', 'Fahrzeug wurde endgltig stillgelegt.');

INSERT INTO VHSTATUS  (STATUSNO, STATCODE, STATNAME, STATDESCRIPTION)
VALUES  (108, 600, 'Entsorgt', 'Fahrzeug wurde entsorgt.');

INSERT INTO VHSTATUS  (STATUSNO, STATCODE, STATNAME, STATDESCRIPTION)
VALUES  (109, 700, 'Verkauft', 'Fahrzeug wurde verkauft.');

INSERT INTO VHSTATUS  (STATUSNO, STATCODE, STATNAME, STATDESCRIPTION)
VALUES  (110, 800, 'Gutachten wird erstellt', 'Fahrzeug zur Bewertung beim Gutachter.');

INSERT INTO VHSTATUS  (STATUSNO, STATCODE, STATNAME, STATDESCRIPTION)
VALUES  (111, 120, 'bernahme nach Lieferung', 'Fahrzeug wurde geliefert und wird bernommen.');

UPDATE settings SET ValueInt=6 WHERE Name = 'DBVersionMinor';  

Commit;
 